 /*
 * file      : lib_tnt/lib.c
 * project   : tnt
 * with      : Gtk-3
 *
 * copyright : (C) 2012 by Claude BULIN
 *
 * TNT - INDIQUEZ ICI CE QUE FAIT LE PROGRAMME
 * GNU General Public License
 *
 * This file is part of TNT.
 *
 * TNT is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * at your option) any later version.
 *
 * TNT is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with TNT.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifdef HAVE_CONFIG_H
	#include "../config.h"
#endif

#ifdef ENABLE_NLS
	#include <libintl.h>
	#define _(String) gettext (String)
#endif

#include <gtk/gtk.h>
#include <glib.h>

#include <stdio.h>
#include <sys/types.h>
#include <sys/stat.h>
#include "lib.h"

OPTIONS_COMMAND_LINE OptionsCommandLine = {
	FALSE,		// gboolean	BoolVerboseMode
	FALSE,		// gboolean	BoolVersionMode
	FALSE		// gboolean	BoolHelpMode
};


// TRUE SI LE FICHIER EXISTE SINON FALSE
//
gboolean libutils_test_file_exist (gchar *File)
{
	/*struct stat status;
	gint	    ret;
	ret = stat (File, &status);
	return (ret > -1 && S_ISREG (status.st_mode));*/
	return (g_file_test (File, G_FILE_TEST_IS_REGULAR));
}
// RETOURNE LA TAILLE DU FICHIER EN OCTETS
//
size_t libutils_get_size_file (gchar *PathName)
{
	FILE   *fp;
	size_t  size = 0;

	if ((fp = fopen (PathName, "r"))) {
		fseek (fp, 0, SEEK_END);
		size = ftell (fp);
		fclose (fp);
	}
	return (size);
}
// AFFICHE L ICONE A GAUCHE DANS LA BARRE DE TITRE
//
void libutils_set_default_icone_to_win (GtkWidget *win)
{
	gchar     *LineCommand = NULL;
	GError    *error = NULL;

	if( NULL != (LineCommand = xdg_search_data_xdg( "dvbtv.png" ))) {
	 	gtk_window_set_icon_from_file (GTK_WINDOW(win), LineCommand, &error);
	 	if (error) {
	 		GDK_PIXBUF_ERROR;
			g_critical ("Could not load pixbuf: %s\n", error->message);
			g_error_free (error);
		}
	}
	g_free (LineCommand);
	LineCommand = NULL;
}



// CREATION D UN DOSSIER TEMPORAIRE
//
// TmpRep  = libutils_create_fifo( "/tmp/", TMP_FIFO_AVI );
//
gchar *libutils_create_fifo( gchar *NameFifo )
{
	gchar	*PathFifo = NULL;
	gint	NumPath = 0;

	// FIXED
	// Mon, 20 Jan 2014 16:33:36 +0100
	// Plusieurs instances de DVBTV peuvent être activées sans risque de collision
	//
	while( TRUE ) {
		PathFifo = g_strdup_printf( "%s_%d", NameFifo, NumPath );
		if( TRUE == g_file_test( PathFifo, G_FILE_TEST_EXISTS ) ) {
			g_free( PathFifo );
			PathFifo = NULL;
		}
		else {
			if( TRUE == OptionsCommandLine.BoolVerboseMode )
				g_print( "CREATE REP FIFO:\n\t%s\n", PathFifo );
			mkfifo( PathFifo, 0644 );
			break;
		}
		NumPath ++;
	}

	return( (gchar *)PathFifo );
}

