 /*
 * file      : stream.h
 * project   : BaseBuild
 * with      : Gtk-2
 *
 * copyright : (C) 2010 - 2012 by Claude Bulin
 *
 * BaseBuild - Creation d'une base de programmation en langage C de type GNU avec les autotools
 * GNU General Public License
 *
 * This file is part of BASEBUILD.
 *
 * BASEBUILD is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * at your option) any later version.
 *
 * BASEBUILD is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with BASEBUILD.  If not, see <http://www.gnu.org/licenses/>.
 */



#ifndef stream_h
#define stream_h 1

#define FE_OPEN_MODE (O_RDWR | O_NONBLOCK)

typedef struct {
	gchar	frontend[ 80 ];
	gchar	dvr[ 80 ];
	gchar	demux[ 80 ];
	gchar	name_type_fronted[ 80 ];
	struct dvb_frontend_info fe_info;
} ADAPTER;

extern ADAPTER adapter;

//
// STREAM.C
//
gboolean	Stream_scan( void );
void		Stream_print( void );
//
// STREAM_RECORD.C
//
void		StreamRecord_go( gchar *p_NameChan );
//
// STREAM_TV.C
//
void		StreamTv_play( gchar *p_NameChan );
gboolean	StreamTv_get_is_bool_go_tv( void );
void		StreamTv_notify_bool_go_tv( gboolean p_bool_go_tv );
gboolean	StreamTv_is_playing( void );

#endif


